play.templates

## Class TagContext

- java.lang.Object
- - play.templates.TagContext

    public class TagContext
    extends java.lang.Object

Tag Context (retrieve who call you)

### Field Summary

Fields
`java.util.Map<java.lang.String,java.lang.Object>` `data`
`java.lang.String` `tagName`

### Constructor Summary

Constructors
Constructor and Description
`TagContext(java.lang.String tagName)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TagContext` `current()`
`static void` `enterTag(java.lang.String name)`
`static void` `exitTag()`
`static boolean` `hasParentTag(java.lang.String name)`
`static void` `init()`
`static TagContext` `parent()`
`static TagContext` `parent(java.lang.String... names)`
`static TagContext` `parent(java.lang.String name)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### tagName

    public java.lang.String tagName

#### data

    public java.util.Map<java.lang.String,java.lang.Object> data

### Constructor Detail

#### TagContext

    public TagContext(java.lang.String tagName)

### Method Detail

#### init

    public static void init()

#### enterTag

    public static void enterTag(java.lang.String name)

#### exitTag

    public static void exitTag()

#### current

    public static TagContext current()

#### parent

    public static TagContext parent()

#### hasParentTag

    public static boolean hasParentTag(java.lang.String name)

#### parent

    public static TagContext parent(java.lang.String name)

#### parent

    public static TagContext parent(java.lang.String... names)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`